/*
 * This program generates 2nd degree polynomials, asks user to guess 
 * coordinates of extremum point and min/max property of each polynomial.
 * This process continues until user inputs "no" when it is asked to continue or not.
 *
 * For each polynomial the program calculates 
 *		x and y values of extremum points
 *		displays whether the user have computed these points correctly or not.
 *		If user's answers are wrong, the program will display the correct value for both terms(x and y).
 *	After these two check, the program will also determine
 *		if extremum point is a minimum or a maximum, then compares the result with user's answer and
 *		displays if user was correct or not.
 */



#include "poly.h"
#include "randgen.h"
#include <iostream>

using namespace std;

void generateCoefficients(int &a, int &b, int &c)
{
	RandGen rand;
	a = rand.RandInt(1,9);
	b = rand.RandInt(0,9);
	c = rand.RandInt(0,9);
}

int main () 
{
	string command, minormax;
	int a, b, c;
	double extremX, extremY;

	command = "yes";
	while(command == "yes")
	{
		generateCoefficients(a, b, c);
		Poly poly(a, b, c);

		cout << "Polynomial is " << poly.toString() << endl;
		cout << "Enter the x value of extremum point you calculated: ";
		cin  >> extremX;
		cout << "Enter the y value of extremum point you calculated: ";
		cin  >> extremY;
		cout << "Enter whether extremum point is minimum or maximum (minimum/maximum): ";
		cin  >> minormax;


		if(extremX == poly.extremumx())
			cout << "The x value of extremum point is correct: " << extremX <<  endl;
		else
		{
			cout << "The x value of extremum point is false " << endl;
			cout << "Extremum X " << poly.extremumx() << endl << endl;
		}
		if(extremY == poly.extremumy())
			cout << "The y value of extremum point is correct: " << extremY <<  endl;
		else
		{
			cout << "The y value of extremum point is false " << endl;
			cout << "Extremum Y " << poly.extremumy() << endl << endl;
		}
		if(minormax == poly.minmax())
			cout << "The min-max property of extremum point is correct: " << minormax <<  endl << endl;
		else
		{
			cout << "The min-max property of extremum point is false" << endl;
			cout << "Extremum point is a " << poly.minmax() << endl << endl;
		}

		cout << "Do you want to continue? (yes/no): " << endl;
		cin  >> command;
	}

	return 0;
}
