/*
 * A class for polynomials of degree 2  (as in the form of ax^2 + bx + c).
 *
 * Assumption: coefficient of x2 is not zero!.
 */

#include <string>
#include "strutils.h"
using namespace std;

class Poly 
{

public:

	/* constructor that creates a polynomial given the coefficients a, b
	 * and c as parameters
	 */
    Poly(double a, double b, double c);

	/* member function to calculate and return the x value of the
	 * extremum point (point where derivative of the polynomial is zero)
	 */
    double extremumx () const;

	/* member function that returns the y value for the extremum point*/
    double extremumy () const;

	/* member function that returns "maximum" if that extremum point is
	 * a maximum, "minimum" if it is a minimum
	 */
    string minmax () const;

	/* convert polynomial to readable string */
	string toString() const;

private:

      double mya, myb, myc;

};